Page 5 of 9 FirstFirst ... 34567 ... LastLast
Results 61 to 75 of 124

Thread: Кросскомпиляция пакетов

  1. #61
    Quote Originally Posted by SpiderX View Post
    Это как раз этот случай?
    Думаю, можно просто убрать ключик оптимизации -O2. Скорее всего поможет.

  2. #62
    Novik
    Спасибо
    Это было то, что надо.

  3. #63
    Join Date
    Jul 2008
    Location
    МО Лобня
    Posts
    205

    Question может кто подскажет по make

    пытаюсь установить пакеты для перла, вот что выдал make при сборке

    Code:
    [root@WL-500 HTML-Parser-3.62]$ make
    mipsel-linux-gcc -c   -fexpensive-optimizations -fomit-frame-pointer -O2   -DVERSION=\"3.62\" -DXS_VERSION=\"3.62\" -fexpensive-optimizations -fomit-frame-pointer "-I/opt/lib/perl5/5.8.8/mipsel-linux/CORE"  -DMARKED_SECTION Parser.c
    /bin/sh: mipsel-linux-gcc: not found
    в репозитарии mipsel-linux-gcc не нашел
    Asus WL-500W (firmware wl500w-1.9.2.7-d-r, rTorrent 0.8.4, ADOS, nShaper) + WD Elements 160Gb + БП AT 200W (+5V 18A )

  4. #64

    где взять linux-libc-headers-oleg.tar.bz2 ?

    теперь не скачивается с http://www.wlan-sat.com/boleo/optware , происходит редирект на http://cpanel.webs-si.net/suspended.page c запросом логина-пароля.
    Может кто выложит?

  5. #65
    Quote Originally Posted by A1ex View Post
    теперь не скачивается с http://www.wlan-sat.com/boleo/optware , происходит редирект на http://cpanel.webs-si.net/suspended.page c запросом логина-пароля.
    Может кто выложит?
    Поддерживаю. Буквально вчера столкнулся с этой же проблемой; поиск в гугле файла linux-libc-headers-oleg.tar.bz2 ничего не дал.
    Выложите, пожалуйста, у кого завалялся...

  6. #66
    Quote Originally Posted by brain-ripper View Post
    Поддерживаю. Буквально вчера столкнулся с этой же проблемой; поиск в гугле файла linux-libc-headers-oleg.tar.bz2 ничего не дал.
    Выложите, пожалуйста, у кого завалялся...
    Я же привел ссылку где все эти пакеты лежат:
    http://ftp.osuosl.org/pub/nslu2/sources/

    Например:
    http://ftp.osuosl.org/pub/nslu2/sour...s-oleg.tar.bz2
    WL-500GPremium v.1 default CPU&memory 1.9.2.7-10
    (HP1018, EZ-setup on/off wi-fi, FDD 1Gb Corsair: nginx+phpfcgi, cron+phpNOD32Updater, squid+ADredirector, swapon)

  7. #67
    Quote Originally Posted by Nebulosa View Post
    Я же привел ссылку где все эти пакеты лежат:
    http://ftp.osuosl.org/pub/nslu2/sources/

    Например:
    http://ftp.osuosl.org/pub/nslu2/sour...s-oleg.tar.bz2
    Спасибо, скачал.
    В своем после, где ты раньше ссылку выкладывал, не сказал, что именно этот файл там лежит, а просто "еще один файл потребовался"

    а я гуглом ту ссылку не нагуглил...

  8. #68
    скачал нужные файлы с http://ftp.osuosl.org/pub/nslu2/sources/, команда make toolchain выдает ошибки:

    Code:
    make[5]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd'
    make[4]: *** [info-recursive] Ошибка 1
    make[4]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd'
    make[3]: *** [all-bfd] Ошибка 2
    make[3]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build'
    make[2]: *** [all] Ошибка 2
    make[2]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build'
    make[1]: *** [/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/binutils/objdump] Ошибка 2
    make[1]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot'
    make: *** [/home/rip/optware/oleg/toolchain/buildroot/.built] Ошибка 2
    Аналогичная проблема описана в этом посте:
    http://wl500g.info/showpost.php?p=102836&postcount=2

    попытался решить ее тем же способом, который предлагается там, но применение патча
    patch configure configure.diff
    выдает ошибку:
    Code:
    patching file configure
    Hunk #1 FAILED at 3679.
    1 out of 1 hunk FAILED -- saving rejects to file configure.rej
    с таким содержимым configure.rej:
    Code:
    ***************
    *** 3679,3685 ****
          # For an installed makeinfo, we require it to be from texinfo 4.4 or
          # higher, else we use the "missing" dummy.
          if ${MAKEINFO} --version \
    -        | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|[5-9])' >/dev/null 2>&1; then
            :
          else
            MAKEINFO="$MISSING makeinfo"
    --- 3679,3685 ----
          # For an installed makeinfo, we require it to be from texinfo 4.4 or
          # higher, else we use the "missing" dummy.
          if ${MAKEINFO} --version \
    +        | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.([1-3][0-9]|[4-9])|[5-9])' >/dev/null 2>&1; then
            :
          else
            MAKEINFO="$MISSING makeinfo"
    похоже в моем configure уже есть эти изменения, которые находятся в патче.

    Подскажите, пожалуйста куда копать...
    Last edited by brain-ripper; 16-03-2010 at 22:58.

  9. #69
    под suse 11.2 аналогично говорит, что makeinfo нет в системе. Под andLinux пока еще полностью не собралось, но это место уже пройдено. В configure ничего не правил.

  10. #70
    Quote Originally Posted by A1ex View Post
    под suse 11.2 аналогично говорит, что makeinfo нет в системе. Под andLinux пока еще полностью не собралось, но это место уже пройдено. В configure ничего не правил.
    установил пакет texinfo, из командной строки нормально запускается, но "make toolchain" по прежнему выдает warning с последующими ошибками:

    Code:
    Making info in doc
    make[5]: Вход в каталог `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd/doc'
    restore=: && backupdir=".am$$" && \
    	am__cwd=`pwd` && cd /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc && \
    	rm -rf $backupdir && mkdir $backupdir && \
    	if (/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/missing makeinfo --split-size=5000000 --split-size=5000000 --version) >/dev/null 2>&1; then \
    	  for f in /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info-[0-9] /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info-[0-9][0-9] /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.i[0-9] /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.i[0-9][0-9]; do \
    	    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
    	  done; \
    	else :; fi && \
    	cd "$am__cwd"; \
    	if /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/missing makeinfo --split-size=5000000 --split-size=5000000   -I /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc \
    	 -o /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.texinfo; \
    	then \
    	  rc=0; \
    	  cd /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc; \
    	else \
    	  rc=$?; \
    	  cd /home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc && \
    	  $restore $backupdir/* `echo ".//home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info" | sed 's|[^/]*$||'`; \
    	fi; \
    	rm -rf $backupdir; exit $rc
    WARNING: `makeinfo' is missing on your system.  You should only need it if
             you modified a `.texi' or `.texinfo' file, or any other file
             indirectly affecting the aspect of the manual.  The spurious
             call might also be the consequence of using a buggy `make' (AIX,
             DU, IRIX).  You might want to install the `Texinfo' package or
             the `GNU make' package.  Grab either from any GNU archive site.
    make[5]: *** [/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8/bfd/doc/bfd.info] Ошибка 1
    make[5]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd/doc'
    Making info in po
    make[5]: Вход в каталог `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd/po'
    make[5]: Цель `info' не требует выполнения команд.
    make[5]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd/po'
    make[5]: Вход в каталог `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd'
    make[5]: Цель `info-am' не требует выполнения команд.
    make[5]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd'
    make[4]: *** [info-recursive] Ошибка 1
    make[4]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/bfd'
    make[3]: *** [all-bfd] Ошибка 2
    make[3]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build'
    make[2]: *** [all] Ошибка 2
    make[2]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build'
    make[1]: *** [/home/rip/optware/oleg/toolchain/buildroot/toolchain_build_mipsel/binutils-2.17.50.0.8-build/binutils/objdump] Ошибка 2
    make[1]: Выход из каталога `/home/rip/optware/oleg/toolchain/buildroot'
    make: *** [/home/rip/optware/oleg/toolchain/buildroot/.built] Ошибка 2
    кто знает что можно предпринять?

    UPD:
    порылся в исходниках, вроде бы ошибка в том, что у меня установилось texinfo версии 4.13, а минимально необходимая - 4.4

    устанавливал на Ubuntu, командой "sudo apt-get install texinfo". Товарищи линуксоиды, подскажите, как малой кровью установить на Ubuntu последнюю версию texinfo? Запуск "sudo apt-get update" не помог, последующий install сказал, что уже установлена последняя версия texinfo


    UPD2:
    хм... видимо 4.13 как раз новее 4.4... может инсталляционный скрипт как раз этого не понимает?..
    хотя "makeinfo --version | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.([4-9]|[1-9][0-9])|[5-9])'", выдранная из скрипта configure корректно возвращает "makeinfo (GNU texinfo) 4.13"
    Last edited by brain-ripper; 17-03-2010 at 23:50.

  11. #71
    поставил debian на виртуалку, все собралось вроде. Только вот rtorrent вышел в 10 раз больше размером ... но работает
    Версия makeinfo 4.11, в suse как и убунте 4.13
    Last edited by A1ex; 18-03-2010 at 19:35.

  12. #72
    Quote Originally Posted by A1ex View Post
    поставил debian на виртуалку, все собралось вроде. Только вот rtorrent вышел в 10 раз больше размером ... но работает
    Версия makeinfo 4.11, в suse как и убунте 4.13
    а на убунте тоже собралось? можешь по шагам описать, что откуда брать и как устанавливать?

  13. #73
    Quote Originally Posted by brain-ripper View Post
    а на убунте тоже собралось?
    Я подразумевал, что с версией makeinfo 4.13 не собирается, а с 4.11 собирается. Свежую убунту я не ставил.

  14. #74
    Quote Originally Posted by A1ex View Post
    Я подразумевал, что с версией makeinfo 4.13 не собирается, а с 4.11 собирается. Свежую убунту я не ставил.
    Понятно. а на andLinux удалось собрать?

  15. #75

    Unhappy не собирается софт под бубунтой

    Пытаюсь собрать centerim, как сказано
    тут.
    Ругается на libicq200, а именно:

    make[4]: Вход в каталог `/home/john/optware/oleg/builds/centerim/libicq2000/src'
    /home/john/optware/oleg/toolchain/mipsel-linux-uclibc/gcc-4.1.1-uclibc-0.9.28/bin/mipsel-linux-uclibc-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../libicq2000/libicq2000 -I../../libicq2000 -O2 -pipe -I/home/john/optware/oleg/staging/opt/include -I/home/john/optware/oleg/staging/opt/include -I/home/john/optware/oleg/staging/opt/include -I/home/john/optware/oleg/staging/opt/include -MT SNAC-BUD.o -MD -MP -MF .deps/SNAC-BUD.Tpo -c -o SNAC-BUD.o SNAC-BUD.cpp
    SNAC-BUD.cpp: In constructor ‘ICQ2000::AddBuddySNAC::AddBuddySNAC(const ICQ2000::ContactTree&)’:
    SNAC-BUD.cpp:39: ошибка: запрошено преобразование от ‘ICQ2000::_ContactTree_Group::iterator’ к нескалярному типу ‘ICQ2000::_ContactTree_Group::const_iterator’
    SNAC-BUD.cpp:40: ошибка: no match for ‘operator!=’ in ‘gcurr != ICQ2000::_ContactTree_Group::end()()’
    ../../libicq2000/libicq2000/ContactTree.h:80: замечание: претенденты: bool ICQ2000::_ContactTree_Group::const_iterator:perator!=(const ICQ2000::_ContactTree_Group::const_iterator&) const
    make[4]: *** [SNAC-BUD.o] Ошибка 1
    make[4]: Выход из каталога `/home/john/optware/oleg/builds/centerim/libicq2000/src'
    make[3]: *** [all-recursive] Ошибка 1
    make[3]: Выход из каталога `/home/john/optware/oleg/builds/centerim/libicq2000'
    make[2]: *** [all-recursive] Ошибка 1
    make[2]: Выход из каталога `/home/john/optware/oleg/builds/centerim'
    make[1]: *** [all] Ошибка 2
    make[1]: Выход из каталога `/home/john/optware/oleg/builds/centerim'
    make: *** [/home/john/optware/oleg/builds/centerim/.built] Ошибка 2

    Куда рыть?
    под Мандривой вообще ругань на libintl.so

Page 5 of 9 FirstFirst ... 34567 ... LastLast

Similar Threads

  1. Вопрос по ip_conntrack
    By fxsound in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 109
    Last Post: 10-01-2017, 18:20
  2. Вопросы по перепрошивке dir-320
    By gweri in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 344
    Last Post: 29-10-2011, 11:36
  3. Задержка пакетов на роутере
    By GooG1e in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 4
    Last Post: 15-11-2009, 19:13
  4. Как организовать подхват и пересылку udp пакетов?
    By Kosmonavt in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 2
    Last Post: 17-03-2008, 16:47

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •